ASUS G752VS: Touchpad and Fn keys not working (Ubuntu 16.04.1/16.10/17.04)

Bug #1653456 reported by aljosa on 2017-01-01
78
This bug affects 14 people
Affects Status Importance Assigned to Milestone
Linux
Unknown
Unknown
linux (Ubuntu)
Medium
Unassigned

Bug Description

Non-Optimus laptop ASUS G752VS-GC063D-CST256.
17.3" FHD LED 1920x1080, Intel Core i7-6700HQ (3.50Ghz), 16GB DDR4, 256GB M.2 NVMe SSD + 1TB HDD 7200rpm, DVDRW-DL, Nvidia GTX1070 8GB GDDR5, Wifi 802.11ac+Bluetooth 4.1 (Dual band) 2*2, Gb LAN, HDMI, mDP, Intel WiDi, USB3.0 x4, USB3.1-Type C(Gen2) with Thunderbolt, HD webcam, Illuminated KB, no OS.

Hello, after experimenting few days ago with Ubuntu 16.04.1, 16.10 and 17.04, among other problems I found that touchpad and Fn keys (all except volume control) doesn't work on my brand new ASUS G752VS.

It is very hard even to try Ubuntu 16.10 and 17.04 because of the missing mouse pointer. This problem must be related to a video driver because if after installing one is capable to install Nvidia drivers - problem is solved. This problem doesn't exist both while trying and installing Ubuntu 16.04.1!

I'm currently on Windows 10, and this bug report is made from Ubuntu 16.04.1 LiveCD.

dmesg | grep -i elan
[ 101.082929] input: ELAN1203:00 04F3:3043 Touchpad as /devices/pci0000:00/0000:00:15.1/i2c_designware.1/i2c-1/i2c-ELAN1203:00/0018:04F3:3043.0007/input/input11
[ 101.082998] hid-multitouch 0018:04F3:3043.0007: input,hidraw6: I2C HID v1.00 Mouse [ELAN1203:00 04F3:3043] on i2c-ELAN1203:00

xinput list
⎡ Virtual core pointer id=2 [master pointer (3)]
⎜ ↳ Virtual core XTEST pointer id=4 [slave pointer (2)]
⎜ ↳ G-SPY USB Gaming Mouse id=10 [slave pointer (2)]
⎜ ↳ ASASTeK COMPUTER INC. ROG MacroKey id=13 [slave pointer (2)]
⎜ ↳ ASASTeK COMPUTER INC. ROG MacroKey id=14 [slave pointer (2)]
⎜ ↳ ELAN1203:00 04F3:3043 Touchpad id=15 [slave pointer (2)]
⎣ Virtual core keyboard id=3 [master keyboard (2)]
    ↳ Virtual core XTEST keyboard id=5 [slave keyboard (3)]
    ↳ Power Button id=6 [slave keyboard (3)]
    ↳ Video Bus id=7 [slave keyboard (3)]
    ↳ Sleep Button id=8 [slave keyboard (3)]
    ↳ G-SPY USB Gaming Mouse id=9 [slave keyboard (3)]
    ↳ USB2.0 HD UVC WebCam id=11 [slave keyboard (3)]
    ↳ ASASTeK COMPUTER INC. ROG MacroKey id=12 [slave keyboard (3)]
    ↳ Asus WMI hotkeys id=16 [slave keyboard (3)]
    ↳ AT Translated Set 2 keyboard id=17 [slave keyboard (3)]

cat /proc/bus/input/devices
I: Bus=0019 Vendor=0000 Product=0005 Version=0000
N: Name="Lid Switch"
P: Phys=PNP0C0D/button/input0
S: Sysfs=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0D:00/input/input0
U: Uniq=
H: Handlers=event0
B: PROP=0
B: EV=21
B: SW=1

I: Bus=0019 Vendor=0000 Product=0003 Version=0000
N: Name="Sleep Button"
P: Phys=PNP0C0E/button/input0
S: Sysfs=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0E:00/input/input1
U: Uniq=
H: Handlers=kbd event1
B: PROP=0
B: EV=3
B: KEY=4000 0 0

I: Bus=0019 Vendor=0000 Product=0001 Version=0000
N: Name="Power Button"
P: Phys=LNXPWRBN/button/input0
S: Sysfs=/devices/LNXSYSTM:00/LNXPWRBN:00/input/input2
U: Uniq=
H: Handlers=kbd event2
B: PROP=0
B: EV=3
B: KEY=10000000000000 0

I: Bus=0011 Vendor=0001 Product=0001 Version=ab41
N: Name="AT Translated Set 2 keyboard"
P: Phys=isa0060/serio0/input0
S: Sysfs=/devices/platform/i8042/serio0/input/input3
U: Uniq=
H: Handlers=sysrq kbd event3 leds
B: PROP=0
B: EV=120013
B: KEY=402000000 3803078f800d001 feffffdfffefffff fffffffffffffffe
B: MSC=10
B: LED=7

I: Bus=0019 Vendor=0000 Product=0006 Version=0000
N: Name="Video Bus"
P: Phys=LNXVIDEO/video/input0
S: Sysfs=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A08:00/device:12/LNXVIDEO:01/input/input4
U: Uniq=
H: Handlers=kbd event4
B: PROP=0
B: EV=3
B: KEY=3e000b00000000 0 0 0

I: Bus=0003 Vendor=04d9 Product=a070 Version=0110
N: Name="G-SPY USB Gaming Mouse"
P: Phys=usb-0000:00:14.0-2/input0
S: Sysfs=/devices/pci0000:00/0000:00:14.0/usb1/1-2/1-2:1.0/0003:04D9:A070.0001/input/input5
U: Uniq=
H: Handlers=sysrq kbd event5 leds
B: PROP=0
B: EV=120013
B: KEY=e080ffdf01cfffff fffffffffffffffe
B: MSC=10
B: LED=1f

I: Bus=0003 Vendor=04d9 Product=a070 Version=0110
N: Name="G-SPY USB Gaming Mouse"
P: Phys=usb-0000:00:14.0-2/input1
S: Sysfs=/devices/pci0000:00/0000:00:14.0/usb1/1-2/1-2:1.1/0003:04D9:A070.0002/input/input6
U: Uniq=
H: Handlers=kbd mouse0 event6
B: PROP=0
B: EV=1f
B: KEY=3f0003007f 0 0 483ffff17aff32d bf54444600000000 1f0001 130f938b17c000 677bfad941dfed 9ed68000004400 10000002
B: REL=143
B: ABS=100000000
B: MSC=10

I: Bus=0003 Vendor=0b05 Product=1837 Version=0110
N: Name="ASASTeK COMPUTER INC. ROG MacroKey"
P: Phys=usb-0000:00:14.0-8/input0
S: Sysfs=/devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/0003:0B05:1837.0004/input/input7
U: Uniq=
H: Handlers=sysrq kbd event7 leds
B: PROP=0
B: EV=120013
B: KEY=1000000000007 ff9f207ac14057ff febeffdfffefffff fffffffffffffffe
B: MSC=10
B: LED=1f

I: Bus=0003 Vendor=0b05 Product=1837 Version=0110
N: Name="ASASTeK COMPUTER INC. ROG MacroKey"
P: Phys=usb-0000:00:14.0-8/input1
S: Sysfs=/devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.1/0003:0B05:1837.0005/input/input8
U: Uniq=
H: Handlers=kbd event8
B: PROP=0
B: EV=1f
B: KEY=3007f 0 0 483ffff17aff32d bf54444600000000 1 130c130b17c000 267bfad9415fed 9e168000004400 10000002
B: REL=40
B: ABS=ffffff0100000000
B: MSC=10

I: Bus=0003 Vendor=0b05 Product=1837 Version=0110
N: Name="ASASTeK COMPUTER INC. ROG MacroKey"
P: Phys=usb-0000:00:14.0-8/input2
S: Sysfs=/devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.2/0003:0B05:1837.0006/input/input9
U: Uniq=
H: Handlers=mouse1 event9
B: PROP=0
B: EV=17
B: KEY=30000 0 0 0 0
B: REL=103
B: MSC=10

I: Bus=0019 Vendor=0000 Product=0000 Version=0000
N: Name="Asus WMI hotkeys"
P: Phys=asus-nb-wmi/input0
S: Sysfs=/devices/platform/asus-nb-wmi/input/input10
U: Uniq=
H: Handlers=rfkill kbd event10
B: PROP=0
B: EV=100013
B: KEY=80000 0 800000000000 0 0 a1606f00900000 8200027800501000 e000000000000 0
B: MSC=10

I: Bus=0018 Vendor=04f3 Product=3043 Version=0100
N: Name="ELAN1203:00 04F3:3043 Touchpad"
P: Phys=i2c-ELAN1203:00
S: Sysfs=/devices/pci0000:00/0000:00:15.1/i2c_designware.1/i2c-1/i2c-ELAN1203:00/0018:04F3:3043.0007/input/input11
U: Uniq=
H: Handlers=mouse2 event11
B: PROP=1
B: EV=b
B: KEY=e520 60000 0 0 0 0
B: ABS=260800000000003

I: Bus=0003 Vendor=0bda Product=57fa Version=0002
N: Name="USB2.0 HD UVC WebCam"
P: Phys=usb-0000:00:14.0-4/button
S: Sysfs=/devices/pci0000:00/0000:00:14.0/usb1/1-4/1-4:1.0/input/input12
U: Uniq=
H: Handlers=kbd event12
B: PROP=0
B: EV=3
B: KEY=100000 0 0 0

I: Bus=0000 Vendor=0000 Product=0000 Version=0000
N: Name="HDA Intel PCH Mic"
P: Phys=ALSA
S: Sysfs=/devices/pci0000:00/0000:00:1f.3/sound/card0/input13
U: Uniq=
H: Handlers=event13
B: PROP=0
B: EV=21
B: SW=10

I: Bus=0000 Vendor=0000 Product=0000 Version=0000
N: Name="HDA Intel PCH Line Out"
P: Phys=ALSA
S: Sysfs=/devices/pci0000:00/0000:00:1f.3/sound/card0/input14
U: Uniq=
H: Handlers=event14
B: PROP=0
B: EV=21
B: SW=40
---
ApportVersion: 2.20.4-0ubuntu1
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: aljosa 1970 F.... pulseaudio
DistroRelease: Ubuntu 17.04
InstallationDate: Installed on 2017-01-02 (1 days ago)
InstallationMedia: Ubuntu 17.04 "Zesty Zapus" - Alpha amd64 (20161229)
Lsusb:
 Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
 Bus 001 Device 004: ID 0b05:1837 ASUSTek Computer, Inc.
 Bus 001 Device 003: ID 0bda:57fa Realtek Semiconductor Corp.
 Bus 001 Device 002: ID 04d9:a070 Holtek Semiconductor, Inc.
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: ASUSTeK COMPUTER INC. G752VS
NonfreeKernelModules: nvidia_uvm nvidia_drm nvidia_modeset nvidia
Package: linux (not installed)
ProcFB: 0 EFI VGA
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.9.0-11-generic.efi.signed root=UUID=1cb200eb-669b-45c4-af32-e67f66a464f2 ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 4.9.0-11.12-generic 4.9.0
PulseList:
 Error: command ['pacmd', 'list'] failed with exit code 1: Home directory not accessible: Permission denied
 No PulseAudio daemon running, or not running as session daemon.
RelatedPackageVersions:
 linux-restricted-modules-4.9.0-11-generic N/A
 linux-backports-modules-4.9.0-11-generic N/A
 linux-firmware 1.162
Tags: zesty
Uname: Linux 4.9.0-11-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups:

_MarkForUpload: True
dmi.bios.date: 10/19/2016
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: G752VS.306
dmi.board.asset.tag: ATN12345678901234567
dmi.board.name: G752VS
dmi.board.vendor: ASUSTeK COMPUTER INC.
dmi.board.version: 1.0
dmi.chassis.asset.tag: ATN12345678901234567
dmi.chassis.type: 10
dmi.chassis.vendor: ASUSTeK COMPUTER INC.
dmi.chassis.version: 1.0
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrG752VS.306:bd10/19/2016:svnASUSTeKCOMPUTERINC.:pnG752VS:pvr1.0:rvnASUSTeKCOMPUTERINC.:rnG752VS:rvr1.0:cvnASUSTeKCOMPUTERINC.:ct10:cvr1.0:
dmi.product.name: G752VS
dmi.product.version: 1.0
dmi.sys.vendor: ASUSTeK COMPUTER INC.

aljosa (aljosa-p) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. It seems that your bug report is not filed about a specific source package though, rather it is just filed against Ubuntu in general. It is important that bug reports be filed about source packages so that people interested in the package can find the bugs about it. You can find some hints about determining what package your bug might be about at https://wiki.ubuntu.com/Bugs/FindRightPackage. You might also ask for help in the #ubuntu-bugs irc channel on Freenode.

To change the source package that this bug is filed about visit https://bugs.launchpad.net/ubuntu/+bug/1653456/+editstatus and add the package name in the text box next to the word Package.

[This is an automated message. I apologize if it reached you inappropriately; please just reply to this message indicating so.]

tags: added: bot-comment
affects: ubuntu → linux (Ubuntu)

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1653456

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
aljosa (aljosa-p) wrote :

Hi Brad,
thanks for your reply. With non-functional touchpad and not-visible mouse pointer, somehow (like a blind man in a dark room) I successfully installed Ubuntu Zesty alongside with Windows 10, and after that Nvidia 375.26 from ppa:graphics-drivers/ppa. Thanks to Nvidia driver, my mouse now works ok. So here's the result of command "apport-collect 1653456":

tags: added: apport-collected zesty
description: updated

apport information

aljosa (aljosa-p) wrote : CRDA.txt

apport information

apport information

apport information

apport information

aljosa (aljosa-p) wrote : Lspci.txt

apport information

apport information

apport information

apport information

apport information

aljosa (aljosa-p) wrote : RfKill.txt

apport information

aljosa (aljosa-p) wrote : UdevDb.txt

apport information

apport information

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v4.10 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.10-rc2

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
aljosa (aljosa-p) wrote :
Download full text (3.4 KiB)

Kernel 4.10-rc3 installed and uninstalled before restarting because unfortunaetly it breaks NVIDIA driver:

~/Downloads$ sudo dpkg -i *.deb
[sudo] password:
Selecting previously unselected package linux-headers-4.10.0-041000rc3.
(Reading database ... 183917 files and directories currently installed.)
Preparing to unpack linux-headers-4.10.0-041000rc3_4.10.0-041000rc3.201701081831_all.deb ...
Unpacking linux-headers-4.10.0-041000rc3 (4.10.0-041000rc3.201701081831) ...
Selecting previously unselected package linux-headers-4.10.0-041000rc3-generic.
Preparing to unpack linux-headers-4.10.0-041000rc3-generic_4.10.0-041000rc3.201701081831_amd64.deb ...
Unpacking linux-headers-4.10.0-041000rc3-generic (4.10.0-041000rc3.201701081831) ...
Selecting previously unselected package linux-image-4.10.0-041000rc3-generic.
Preparing to unpack linux-image-4.10.0-041000rc3-generic_4.10.0-041000rc3.201701081831_amd64.deb ...
Examining /etc/kernel/preinst.d/
run-parts: executing /etc/kernel/preinst.d/intel-microcode 4.10.0-041000rc3-generic /boot/vmlinuz-4.10.0-041000rc3-generic
Done.
Unpacking linux-image-4.10.0-041000rc3-generic (4.10.0-041000rc3.201701081831) ...
Setting up linux-headers-4.10.0-041000rc3 (4.10.0-041000rc3.201701081831) ...
Setting up linux-headers-4.10.0-041000rc3-generic (4.10.0-041000rc3.201701081831) ...
Examining /etc/kernel/header_postinst.d.
run-parts: executing /etc/kernel/header_postinst.d/dkms 4.10.0-041000rc3-generic /boot/vmlinuz-4.10.0-041000rc3-generic
ERROR (dkms apport): kernel package linux-headers-4.10.0-041000rc3-generic is not supported
Error! Bad return status for module build on kernel: 4.10.0-041000rc3-generic (x86_64)
Consult /var/lib/dkms/nvidia-375/375.26/build/make.log for more information.
Setting up linux-image-4.10.0-041000rc3-generic (4.10.0-041000rc3.201701081831) ...
Running depmod.
update-initramfs: deferring update (hook will be called later)
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 4.10.0-041000rc3-generic /boot/vmlinuz-4.10.0-041000rc3-generic
run-parts: executing /etc/kernel/postinst.d/dkms 4.10.0-041000rc3-generic /boot/vmlinuz-4.10.0-041000rc3-generic
ERROR (dkms apport): kernel package linux-headers-4.10.0-041000rc3-generic is not supported
Error! Bad return status for module build on kernel: 4.10.0-041000rc3-generic (x86_64)
Consult /var/lib/dkms/nvidia-375/375.26/build/make.log for more information.
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 4.10.0-041000rc3-generic /boot/vmlinuz-4.10.0-041000rc3-generic
update-initramfs: Generating /boot/initrd.img-4.10.0-041000rc3-generic
run-parts: executing /etc/kernel/postinst.d/unattended-upgrades 4.10.0-041000rc3-generic /boot/vmlinuz-4.10.0-041000rc3-generic
run-parts: executing /etc/kernel/postinst.d/update-notifier 4.10.0-041000rc3-generic /boot/vmlinuz-4.10.0-041000rc3-generic
run-parts: executing /etc/kernel/postinst.d/zz-update-grub 4.10.0-041000rc3-generic /boot/vmlinuz-4.10.0-041000rc3-generic
Generating grub configuration file ...
Found linux image: /boot/vmlinuz-4.10.0-041000rc3-generic
Found initrd image: /boot/initrd.img-4.10.0-041000rc3-generic
Found linux image: /boot/vmlinuz-...

Read more...

kankan (ncandelier) wrote :
Olaf (tholap) wrote :

Same with Asus G752VM running Ubuntu 16.04.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Olaf (tholap) wrote :

My dmesg | grep -i elan and xinput list looks exactly like OP above - except that I have a different USB mouse attached:
Microsoft Microsoft 3-Button Mouse with IntelliEye™ id=9 [slave pointer (2)]

That mouse worked right away - installing Ubuntu 16.04.1 and then the Nvidia proprietary drivers was no problem. Almost everything works fine - except Touchpad and the Fn keys.

aljosa (aljosa-p) wrote :
Download full text (9.9 KiB)

Just installed from proposed kernel 4.10.0-8.10 and NVIDIA 375.39.
Unfortunately both touchpad and Fn keys still doesn't work.

Attached please find a complete DMESG output with kernel 4.10.0-8.10.
These are some problematic lines:

[ 15.103844] fwupd[2761]: segfault at 555900000008 ip 00007f2e80964e78 sp 00007fff7e425360 error 4 in libc-2.24.so[7f2e808e4000+1bd000]

[ 0.320106] ACPI: [Firmware Bug]: BIOS _OSI(Linux) query ignored

[ 0.385567] acpi PNP0A08:00: _OSC: OS supports [ExtendedConfig ASPM ClockPM Segments MSI]
[ 0.385634] acpi PNP0A08:00: _OSC failed (AE_ERROR); disabling ASPM

[ 3.337489] tpm_crb MSFT0101:00: can't request region for resource [mem 0xfed40080-0xfed40fff]
[ 3.337497] tpm_crb: probe of MSFT0101:00 failed with error -16

[ 3.414234] uvcvideo: Found UVC 1.00 device USB2.0 HD UVC WebCam (0bda:57fa)
[ 3.416168] iwlwifi 0000:02:00.0: Direct firmware load for iwlwifi-8000C-26.ucode failed with error -2
[ 3.416731] uvcvideo 1-4:1.0: Entity type for entity Realtek Extended Controls Unit was not initialized!
[ 3.416733] uvcvideo 1-4:1.0: Entity type for entity Extension 4 was not initialized!
[ 3.416733] uvcvideo 1-4:1.0: Entity type for entity Processing 2 was not initialized!
[ 3.416734] uvcvideo 1-4:1.0: Entity type for entity Camera 1 was not initialized!

[ 3.435818] iwlwifi 0000:02:00.0: Direct firmware load for iwlwifi-8000C-25.ucode failed with error -2
[ 3.441448] iwlwifi 0000:02:00.0: Direct firmware load for iwlwifi-8000C-24.ucode failed with error -2
[ 3.441462] iwlwifi 0000:02:00.0: Direct firmware load for iwlwifi-8000C-23.ucode failed with error -2
[ 3.442210] iwlwifi 0000:02:00.0: Direct firmware load for iwlwifi-8000C-22.ucode failed with error -2
[ 3.445714] iwlwifi 0000:02:00.0: loaded firmware version 21.302800.0 op_mode iwlmvm
[ 3.460952] iwlwifi 0000:02:00.0: Detected Intel(R) Dual Band Wireless AC 8260, REV=0x208
[ 3.463638] iwlwifi 0000:02:00.0: L1 Enabled - LTR Enabled
[ 3.464644] iwlwifi 0000:02:00.0: L1 Enabled - LTR Enabled

[ 2.041622] nvidia: loading out-of-tree module taints kernel.
[ 2.041625] nvidia: module license 'NVIDIA' taints kernel.
[ 2.041626] Disabling lock debugging due to kernel taint
[ 2.045391] nvidia: module verification failed: signature and/or required key missing - tainting kernel

[ 5.555023] nvidia-modeset: Allocated GPU:0 (GPU-36946fb5-8d25-dcea-2d69-172acaad0a58) @ PCI:0000:01:00.0
[ 5.557137] ACPI Warning: \_SB.PCI0.PEG0.GFX0._DSM: Argument #4 type mismatch - Found [Buffer], ACPI requires [Package] (20160930/nsarguments-95)
[ 5.557198] ACPI Warning: \_SB.PCI0.PEG0.GFX0._DSM: Argument #4 type mismatch - Found [Buffer], ACPI requires [Package] (20160930/nsarguments-95)
[ 5.557351] ACPI Warning: \_SB.PCI0.PEG0.GFX0._DSM: Argument #4 type mismatch - Found [Buffer], ACPI requires [Package] (20160930/nsarguments-95)
[ 5.557389] ACPI Warning: \_SB.PCI0.PEG0.GFX0._DSM: Argument #4 type mismatch - Found [Buffer], ACPI requires [Package] (20160930/nsarguments-95)

[ 3.604560] (NULL device *): hwmon_device_register() is deprecated. Please convert the driver to use hwmon_device_register_with_info()...

New Road (openroad) on 2017-03-14
no longer affects: linux
aljosa (aljosa-p) wrote :

Since "ASUS G752VS - Touchpad and Fn keys" problem hasn't been solved yet, of course that it continues to affect Linux.

New Road (openroad) wrote :

I make a mistake when clicking on the page in order to mention it also affects me by selecting affects linux, and then tried to undo it by making another huge mistake since I'm a newbie and lack common sense.

I've got the same problems, keyboard fn keys and backlight don't work, touchpad isn't working at all, power source is not perfectly detected, adjust screen brightness isn't working either).

I'm using Ubuntu 16.0.4.2, kernel 4.8-rc41. Unfortunately, tried many suggestions with no avail.

aljosa (aljosa-p) wrote :

Until the problem with the screen brightness has been resolved, you can adjust it via NVIDIA control panel/NVIDIA X server settings: GPU 0 - (GeForce GTX 1070) → DFP-2 - (LGD) → Color Correction → Brightness

New Road (openroad) wrote :

How did you fix the keyboard backlight (turn it on)? If you haven't, do you know any workaround?

aljosa (aljosa-p) wrote :

I still haven't found workaround for any of our problems with ASUS laptops.
Kernel developer who in the past solved Elan touchpad issues on my previous two ASUS laptops told me that this time he unfortunately can't help me because my current problem is something with the elan_i2c driver. Consequently, I contacted some other kernel developers a month ago, but I haven't received any concrete response.

Kai-Heng Feng (kaihengfeng) wrote :

Probably because the WMI driver is not loaded.

Please install acpica-tools and run acpidump,

$ sudo apt install acpica-tools
$ sudo acpidump > acpi-dump

Attach acpi-dump file.

aljosa (aljosa-p) wrote :

Hello Kai-Heng Feng,
thank you very much for your instruction. Here it is, file "acpi-dump" attached.

New Road (openroad) wrote :

Kai-Heng Feng, thanks for your time.
Here it is the file as instructed.

Olaf (tholap) wrote :

Attached is the acpi-dump from my Asus G752VM running Ubuntu 16.04.
Same Touchpad (ELAN 0x3043, Version 0x100) as the above G752VS.

Kai-Heng Feng (kaihengfeng) wrote :

Looks like asus-wmi and asus-nb-wmi are both correctly loaded.

Can you add "asus-wmi.dyndbg=+p asus-nb-wmi.dyndbg=+p" to kernel parameter and reboot?

Press the non-functional hotkeys and upload the output of 'dmesg'.

aljosa (aljosa-p) wrote :

I added requested option to /etc/default/grub:
GRUB_CMDLINE_LINUX_DEFAULT="quiet splash asus-wmi.dyndbg=+p asus-nb-wmi.dyndbg=+p"
After that I executed "update-grub" to update the changes and then rebooted.

I pressed all of the Fn keys in the following order:

(FUNCTIONAL)
Fn+F1
Puts the Notebook PC into Sleep mode
Fn+F2
Turns Airplane mode on or off
Fn+F3
Decreases brightness for the backlit keyboard
Fn+F4
Increases brightness for the backlit keyboard
Fn+F5
Decreases display brightness
Fn+F6
Increases display brightness
Fn+F7
Turns the display panel on or off
Fn+F8
Toggles the display mode
Fn+F9
Enables or disables the touchpad

(NON-FUNCTIONAL)
Fn+F10
Turns the speaker on or off
Fn+F11
Turns the speaker volume down
Fn+F12
Turns the speaker volume up

Here's attached my DMESG output.

aljosa (aljosa-p) wrote :

Sorry - I mistakenly put the NON-FUNCTIONAL keys under FUNCTIONAL keys and vice versa.

Kai-Heng Feng (kaihengfeng) wrote :

Uh, ok, my bad, asus-wmi doesn't print any information when key is pressed.

So let's test the following:

1. Check if function key generate anything:
$ show-key -s

2. Check if function key generate anything:
$ acpi_listen

3. Add kernel parameter and test if one of the following works:
acpi_osi=! acpi_osi="Windows 2015"
acpi_osi=! acpi_osi="Windows 2012"
acpi_osi=! acpi_osi="Windows 2009"

aljosa (aljosa-p) wrote :

~$ show-key -s
No command 'show-key' found, did you mean:
 Command 'showkey' from package 'kbd' (main)
show-key: command not found

~$ acpi_listen
button/volumeup VOLUP 00000080 00000000 K
button/volumedown VOLDN 00000080 00000000 K
button/mute MUTE 00000080 00000000 K
(there is no visible output for any of the non-functional hotkeys)

If I modify /etc/default/grub to:
GRUB_CMDLINE_LINUX_DEFAULT="quiet splash acpi_osi=! acpi_osi="Windows 2015""
I cannot update GRUB any more:
sudo update-grub
[sudo] my password:
/usr/sbin/grub-mkconfig: 11: /etc/default/grub: 2015: not found

By the way, you can find here very useful results of already performed various experiments regarding our problem:
https://bugzilla.kernel.org/show_bug.cgi?id=112531

Kai-Heng Feng (kaihengfeng) wrote :

The information is quite helpful, the keys didn't generate any interrupts.

You need to escape the double quote, i.e. acpi_osi=\"Windows 2012\"

aljosa (aljosa-p) wrote :

I've tried all 3 different combinations:

"quiet splash acpi_osi=! acpi_osi=\"Windows 2015\""
"quiet splash acpi_osi=! acpi_osi=\"Windows 2012\""
"quiet splash acpi_osi=! acpi_osi=\"Windows 2009\""

It doesn't work.

Kai-Heng Feng (kaihengfeng) wrote :

OK, I think we should continue the discussion at https://bugzilla.kernel.org/show_bug.cgi?id=112531.

Provide info to https://bugzilla.kernel.org/show_bug.cgi?id=112531#c16 will be helpful.

aljosa (aljosa-p) wrote :

No problem, I will you provide you there with all info you need - just give me instructions how to extract them from my Ubuntu system. Once again thank you very much for your help.

Kai-Heng Feng (kaihengfeng) wrote :

It's in https://bugzilla.kernel.org/show_bug.cgi?id=112531 comment #16.

Add this to kernel parameter:
acpi.trace_state=enable dyndbg="file ec.c +p"

If you make the change in /etc/default/grub, need to escape the quote as well:
acpi.trace_state=enable dyndbg=\"file ec.c +p\"

aljosa (aljosa-p) wrote :

I have been informed that there are people (Chris Chiu and Daniel Drake) working on ASUS ROG models, and their patches are already slated to be released with kernel 4.12:

https://git.kernel.org/pub/scm/linux/kernel/git/jikos/hid.git/log/?h=for-4.12/asus

Unfortunately I'm not able to apply those patches by myself. It would be great if some of you Linux people affected by "ASUS G752VS - Touchpad and Fn keys" problem can test mentioned patches and enter in contact with Chris and Daniel.

Daniel Drake (dsdrake) wrote :

Chris and I don't have experience with the G752 series but looking at one of the dumps from above:

I: Bus=0003 Vendor=0b05 Product=1837 Version=0110
N: Name="ASASTeK COMPUTER INC. ROG MacroKey"
P: Phys=usb-0000:00:14.0-8/input0
S: Sysfs=/devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/0003:0B05:1837.0004/input/input7
U: Uniq=
H: Handlers=sysrq kbd event7 leds
B: PROP=0
B: EV=120013
B: KEY=1000000000007 ff9f207ac14057ff febeffdfffefffff fffffffffffffffe
B: MSC=10
B: LED=1f

The patches you linked to add support for this ID 0B05:1837 so I think the function key issue is now solved, as soon as you are able to build/run such a kernel.

No ideas about the touchpad issue. I would next check if there are interrupts registered against that device. Another thing to try is making sure that the intel pin control driver being used on this platform is built into the kernel, not a module.

aljosa (aljosa-p) wrote :

Thanks for your help, I really hope that Fn keys issue is now solved:
https://bugzilla.kernel.org/show_bug.cgi?id=112531

Regarding Elan touchpad problem and interrupts registered against that device, I'm attaching here "cat /proc/interrupts" in which among other things I can see something related to:

- ELAN1203:00
- idma64.0, i2c_designware.0
- idma64.1, i2c_designware.1

How can I check if Intel pin control driver being used on this platform is built into the kernel, not a module?

By the way, there's a lot of talking on Google related to touchpads and intel-lpss, for example:
"Canonical found several I2C touchpad couldn't work on OEM SKL machines once they enable intel-lpss driver"
https://bugs.launchpad.net/intel/+bug/1533035

Scott Hayes (scotthayes1964) wrote :

I can confirm the same issues on Asus GL753VE, running Ubuntu 16.10.

Daniel Drake (dsdrake) wrote :

My colleague Carlo Caione is in the process of finalizing a driver for the keyboard backlight found on these laptops for inclusion in a future Linux release, https://patchwork.kernel.org/patch/9666771/ - testing welcome!

New Road (openroad) wrote :

Thank you very much. I'm a dimwit btw, would you explain how I could test such patch?

Once more, I thank you! This is a feature very much welcomed.

Kai-Heng Feng (kaihengfeng) wrote :

Backport from for-4.12/asus, please test it.

http://people.canonical.com/~khfeng/lp1653456/

aljosa (aljosa-p) wrote :

Thank you very very much all you guys for helping us to solve these annoying problems with running Linux on ASUS G752VS laptop:

~$ uname -a
Linux anonimux 4.10.0-21-generic #23~lp1653456 SMP Thu Apr 27 15:03:25 CST 2017 x86_64 x86_64 x86_64 GNU/Linux

~$ uname -r
4.10.0-21-generic

1)
Fn keys are all working ok now, including adjustment of screen brightness and keyboard backlight

2)
ELAN touchpad 1203:00 is unfortunately still completely dead

Please find attached my dmesg_output

Scott Hayes (scotthayes1964) wrote :

The screen brightness is now working on kernel 4.10.0-21 generic but the keyboard brightness is not, on Asus GL753VE.

Very close

aljosa (aljosa-p) wrote :

I tried both with and without USB mouse connected, I tried few times to disable/enable the touchpad within System settings - but nothing changes, ELAN touchpad is still completely dead on my ASUS G752VS.

Please find attached my dmesg_output

Scott Hayes (scotthayes1964) wrote :

Still no keyboard brightness, all other FN keys are working, on GL753VE

uname -a:
Linux Taz 4.10.0-21-generic #23~lp1653456+elan SMP Fri Apr 28 14:34:03 CST 2017 x86_64 x86_64 x86_64 GNU/Linux

Kai-Heng Feng (kaihengfeng) wrote :

alijosa,

Originally it uses hid-multitouch:
[ 101.082929] input: ELAN1203:00 04F3:3043 Touchpad as /devices/pci0000:00/0000:00:15.1/i2c_designware.1/i2c-1/i2c-ELAN1203:00/0018:04F3:3043.0007/input/input11
[ 101.082998] hid-multitouch 0018:04F3:3043.0007: input,hidraw6: I2C HID v1.00 Mouse [ELAN1203:00 04F3:3043] on i2c-ELAN1203:00
[ 102.138959] Linux video capture interface: v2.00

Now it uses elan-i2c:
[ 4.599028] elan_i2c i2c-ELAN1203:00: Elan Touchpad: Module ID: 0x0040, Firmware: 0x0005, Sample: 0x0010, IAP: 0x000e
[ 4.599163] input: Elan Touchpad as /devices/pci0000:00/0000:00:15.1/i2c_designware.1/i2c-7/i2c-ELAN1203:00/input/input15

Is there any interrupts generated under /proc/interrupts?

Scott Hayes,
According to comment #50, it works on G752VS. You probably need to file a separate bug.

aljosa (aljosa-p) wrote :

Hello,
yes there is something about i2c and ELAN touchpad but I don't have a clue what does it mean.
Please find attached file with output of ~$ cat /proc/interrupts

aljosa (aljosa-p) wrote :

Please find attached file with output of ~$ grep . /sys/firmware/acpi/interrupts/*

Kai-Heng Feng (kaihengfeng) wrote :

Please give this a try: http://people.canonical.com/~khfeng/lp1653456+asus/

Also, please attach `dmesg`, thanks!

aljosa (aljosa-p) wrote :

~$ uname -a
Linux blabla 4.10.0-21-generic #23~lp1653456+asus SMP Tue May 2 17:52:56 CST 2017 x86_64 x86_64 x86_64 GNU/Linux

Unfortunately it doesn't work. I tried both with and without USB mouse connected, I tried few times to disable/enable the touchpad within System settings - but nothing changes, ELAN touchpad is still completely dead on my ASUS G752VS.
Please find attached dmesg output.

Kai-Heng Feng (kaihengfeng) wrote :

Probably because of this:
[ 4.370218] i2c-ELAN1203:00 supply vcc not found, using dummy regulator

Do you see anything under /sys/class/regulator?

aljosa (aljosa-p) wrote :

Please give me the exact command to extract info you need.
In the meantime:

Folder:
regulator

Subfolder:
regulator.0

Subfolders:
device
i2c-ELAN1203:00-vcc
power
subsystem

Files within Folder regulator.0:
name num_users
suspend_disk_state
suspend_mem_state
suspend_standby_state
type
uevent

~$ grep . /sys/class/regulator/regulator.0/*
grep: /sys/class/regulator/regulator.0/device: Is a directory
grep: /sys/class/regulator/regulator.0/i2c-ELAN1203:00-vcc: Is a directory
/sys/class/regulator/regulator.0/name:regulator-dummy
/sys/class/regulator/regulator.0/num_users:0
grep: /sys/class/regulator/regulator.0/power: Is a directory
grep: /sys/class/regulator/regulator.0/subsystem: Is a directory
/sys/class/regulator/regulator.0/suspend_disk_state:disabled
/sys/class/regulator/regulator.0/suspend_mem_state:disabled
/sys/class/regulator/regulator.0/suspend_standby_state:disabled
/sys/class/regulator/regulator.0/type:voltage

aljosa (aljosa-p) wrote :
  • dsdt.dat Edit (170.5 KiB, application/x-ns-proxy-autoconfig)

Thank you very much, I saw there that you probably need the DSDT.
I extracted it with sudo cat /sys/firmware/acpi/tables/DSDT > dsdt.dat
Please find it attached.

New Road (openroad) wrote :

One more thing buggy, I don't know how to workaround. The mic through headphones isn't working in any way. Would it be not supported or is it required some driver/package/setting to make the headphones mic work?

New Road (openroad) wrote :

Another issue I've found, the sound through HDMI is not working, it is not detected.

aljosa (aljosa-p) wrote :

Just installed new kernel 4.12-rc2.
ELAN touchpad is still completely dead on my ASUS G752VS (now it's not even present in my system settings).
Please find attached dmesg output.

[5.102551] i2c_hid i2c-ELAN1203:00: i2c-ELAN1203:00 supply vdd not found, using dummy regulator
[6.110760] i2c_designware i2c_designware.1: controller timed out
[6.110768] i2c_hid i2c-ELAN1203:00: hid_descr_cmd failed

~$ xinput list
⎡ Virtual core pointer id=2 [master pointer (3)]
⎜ ↳ Virtual core XTEST pointer id=4 [slave pointer (2)]
⎜ ↳ G-SPY USB Gaming Mouse id=11 [slave pointer (2)]
⎜ ↳ Asus Keyboard id=14 [slave pointer (2)]
⎜ ↳ Asus Keyboard id=15 [slave pointer (2)]
⎣ Virtual core keyboard id=3 [master keyboard (2)]
    ↳ Virtual core XTEST keyboard id=5 [slave keyboard (3)]
    ↳ Power Button id=6 [slave keyboard (3)]
    ↳ Asus Wireless Radio Control id=7 [slave keyboard (3)]
    ↳ Video Bus id=8 [slave keyboard (3)]
    ↳ Sleep Button id=9 [slave keyboard (3)]
    ↳ G-SPY USB Gaming Mouse id=10 [slave keyboard (3)]
    ↳ USB2.0 HD UVC WebCam id=12 [slave keyboard (3)]
    ↳ Asus Keyboard id=13 [slave keyboard (3)]
    ↳ Asus WMI hotkeys id=16 [slave keyboard (3)]
    ↳ AT Translated Set 2 keyboard id=17 [slave keyboard (3)]
    ↳ G-SPY USB Gaming Mouse id=18 [slave keyboard (3)]
    ↳ Asus Keyboard id=19 [slave keyboard (3)]

Gonzalo Vega (gonzalohvega) wrote :

The new kernel fixed all of my FN keys on a G752VS, however the Elantech 1203 touchpad is still dead.

As the user above me, the following lines appear while booting:

[6.110760] i2c_designware i2c_designware.1: controller timed out
[6.110768] i2c_hid i2c-ELAN1203:00: hid_descr_cmd failed

Once booted I no longer see this in xinput:

ELAN1203:00 04F3:301E Touchpad id=15 [slave pointer (2)]

With the previous kernel 4.10 this was still present in xinput.

Also when I press the FN key F9 to enable/disable touchpad, the system displays only disable.

aljosa (aljosa-p) wrote :

Just installed new kernel 4.12-rc3.
ELAN touchpad is still completely dead on my ASUS G752VS.
Please find attached dmesg output.

[5.149761] i2c_hid i2c-ELAN1203:00: i2c-ELAN1203:00 supply vdd not found, using dummy regulator
[5.191090] hid-multitouch 0018:04F3:3043.0007: Ignoring the extra HID_DG_INPUTMODE
[5.191133] input: ELAN1203:00 04F3:3043 Touchpad as /devices/pci0000:00/0000:00:15.1/i2c_designware.1/i2c-1/i2c-ELAN1203:00/0018:04F3:3043.0007/input/input16
[5.191230] hid-multitouch 0018:04F3:3043.0007: input,hidraw6: I2C HID v1.00 Mouse [ELAN1203:00 04F3:3043] on i2c-ELAN1203:00

~$ xinput list
⎡ Virtual core pointer id=2 [master pointer (3)]
⎜ ↳ Virtual core XTEST pointer id=4 [slave pointer (2)]
⎜ ↳ G-SPY USB Gaming Mouse id=11 [slave pointer (2)]
⎜ ↳ Asus Keyboard id=14 [slave pointer (2)]
⎜ ↳ Asus Keyboard id=15 [slave pointer (2)]
⎜ ↳ ELAN1203:00 04F3:3043 Touchpad id=16 [slave pointer (2)]
⎣ Virtual core keyboard id=3 [master keyboard (2)]
    ↳ Virtual core XTEST keyboard id=5 [slave keyboard (3)]
    ↳ Power Button id=6 [slave keyboard (3)]
    ↳ Asus Wireless Radio Control id=7 [slave keyboard (3)]
    ↳ Video Bus id=8 [slave keyboard (3)]
    ↳ Sleep Button id=9 [slave keyboard (3)]
    ↳ G-SPY USB Gaming Mouse id=10 [slave keyboard (3)]
    ↳ USB2.0 HD UVC WebCam id=12 [slave keyboard (3)]
    ↳ Asus Keyboard id=13 [slave keyboard (3)]
    ↳ Asus WMI hotkeys id=17 [slave keyboard (3)]
    ↳ AT Translated Set 2 keyboard id=18 [slave keyboard (3)]
    ↳ G-SPY USB Gaming Mouse id=19 [slave keyboard (3)]
    ↳ Asus Keyboard id=20 [slave keyboard (3)]

aljosa (aljosa-p) wrote :

Please find attached file (kernel 4.12-rc3) with output of ~$ cat /proc/interrupts

16: 0 0 0 0 0 0 0 0 IR-IO-APIC 16-fasteoi idma64.0, i2c_designware.0
17: 709 9839 0 0 0 0 0 0 IR-IO-APIC 17-fasteoi idma64.1, i2c_designware.1
95: 1 552 0 0 0 0 0 0 IR-IO-APIC 95-fasteoi ELAN1203:00

hugo13 (hugo13) wrote :

Hi,

maybe you already know but I want to point out to Endless OS on my asus FN-keys where working for me.
Was running os via USB and all FN-keys where working.
Unfortunately I don't know where to look at to see the differences between Endless and Ubuntu :(

Latest Endless is using kernel 4.8, but I can add more details if needed.

regards

hugo13 (hugo13) wrote :

Hi,

found following link:
https://gist.github.com/GMMan/def55b688289f52b8635f1a83c25b1b5

There you can find necessary kernel module for hid_asus_rog.
Maybe it's possible to add it directly to the kernel like asus_nb_wmi.

regards

aljosa (aljosa-p) wrote :

Just installed new kernel 4.12-rc4, my ELAN touchpad still doesn't work.
Please find attached the dmesg output.

By the way, with the kernel 4.12 series I'm getting the following "Firmware Bug" message, can anyone please explain me what is it?

[4.218535] tpm_crb MSFT0101:00: [Firmware Bug]: ACPI region does not cover the entire command/response buffer. [mem 0xfed40000-0xfed4087f flags 0x200] vs fed40080 f80
[4.218602] tpm_crb MSFT0101:00: [Firmware Bug]: ACPI region does not cover the entire command/response buffer. [mem 0xfed40000-0xfed4087f flags 0x200] vs fed40080 f80

aljosa (aljosa-p) wrote :

Just installed new kernel 4.12-rc6, my ELAN touchpad is still completely dead

[5.265229] i2c_hid i2c-ELAN1203:00: i2c-ELAN1203:00 supply vdd not found, using dummy regulator
[5.305130] hid-multitouch 0018:04F3:3043.0007: Ignoring the extra HID_DG_INPUTMODE
[5.305175] input: ELAN1203:00 04F3:3043 Touchpad as /devices/pci0000:00/0000:00:15.1/i2c_designware.1/i2c-1/i2c-ELAN1203:00/0018:04F3:3043.0007/input/input16
[5.305245] hid-multitouch 0018:04F3:3043.0007: input,hidraw6: I2C HID v1.00 Mouse [ELAN1203:00 04F3:3043] on i2c-ELAN1203:00

Please find attached the dmesg output.

By the way, with the kernel 4.12 series I'm getting the following "Firmware Bug" message, can anyone please explain me what is it?

[4.432629] tpm_crb MSFT0101:00: [Firmware Bug]: ACPI region does not cover the entire command/response buffer. [mem 0xfed40000-0xfed4087f flags 0x200] vs fed40080 f80
[4.432669] tpm_crb MSFT0101:00: [Firmware Bug]: ACPI region does not cover the entire command/response buffer. [mem 0xfed40000-0xfed4087f flags 0x200] vs fed40080 f80

aljosa (aljosa-p) wrote :

Just installed new kernel 4.12-rc7, my ELAN touchpad is still completely dead (please find attached the dmesg output file):

[ 5.320298] i2c_hid i2c-ELAN1203:00: i2c-ELAN1203:00 supply vdd not found, using dummy regulator
[ 5.581767] hid-multitouch 0018:04F3:3043.0007: Ignoring the extra HID_DG_INPUTMODE
[ 5.581851] input: ELAN1203:00 04F3:3043 Touchpad as /devices/pci0000:00/0000:00:15.1/i2c_designware.1/i2c-1/i2c-ELAN1203:00/0018:04F3:3043.0007/input/input16
[ 5.581967] hid-multitouch 0018:04F3:3043.0007: input,hidraw6: I2C HID v1.00 Mouse [ELAN1203:00 04F3:3043] on i2c-ELAN1203:00

Additionally, my wifi stopped working too:

[4.542384] iwlwifi 0000:02:00.0: Direct firmware load for iwlwifi-8000C-30.ucode failed with error -2
[4.542606] iwlwifi 0000:02:00.0: Direct firmware load for iwlwifi-8000C-29.ucode failed with error -2
[4.542617] iwlwifi 0000:02:00.0: Direct firmware load for iwlwifi-8000C-28.ucode failed with error -2
[4.542626] iwlwifi 0000:02:00.0: Direct firmware load for iwlwifi-8000C-27.ucode failed with error -2
[4.542704] iwlwifi 0000:02:00.0: Direct firmware load for iwlwifi-8000C-26.ucode failed with error -2
[4.542714] iwlwifi 0000:02:00.0: Direct firmware load for iwlwifi-8000C-25.ucode failed with error -2
[4.542723] iwlwifi 0000:02:00.0: Direct firmware load for iwlwifi-8000C-24.ucode failed with error -2
[4.542732] iwlwifi 0000:02:00.0: Direct firmware load for iwlwifi-8000C-23.ucode failed with error -2
[4.542816] iwlwifi 0000:02:00.0: Direct firmware load for iwlwifi-8000C-22.ucode failed with error -2
[4.542817] iwlwifi 0000:02:00.0: no suitable firmware found!
[4.542836] iwlwifi 0000:02:00.0: minimum version required: iwlwifi-8000C-22
[4.542853] iwlwifi 0000:02:00.0: maximum version supported: iwlwifi-8000C-30
[4.542870] iwlwifi 0000:02:00.0: check git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git

and I'm also getting the following "Firmware Bug" message:

[4.440279] tpm_crb MSFT0101:00: [Firmware Bug]: ACPI region does not cover the entire command/response buffer. [mem 0xfed40000-0xfed4087f flags 0x200] vs fed40080 f80
[4.440343] tpm_crb MSFT0101:00: [Firmware Bug]: ACPI region does not cover the entire command/response buffer. [mem 0xfed40000-0xfed4087f flags 0x200] vs fed40080 f80

aljosa (aljosa-p) wrote :

I have just installed the new Linux 4.12 kernel.
My ELAN touchpad is still completely dead.
Additionally my wifi stopped working too and I'm also getting 'Firmware Bug' message regarding "tpm_crb MSFT0101:00".
Please find attached the complete dmesg output file.

FZ (sirfz) wrote :

I installed Ubuntu 17.04 on mu new G752VS yesterday and the ELAN Touchpad was completely non-functional. Today, out of no where and without any reasonable explanation, it started working after a resume from sleep (opened lid). Right now it's fully functional, both buttons are working as well as tracking and multi-touch gestures (e.g. double-finger scrolling). All I did was install a few updates using the Software Updater today.

$ uname -a
Linux fzrog 4.10.0-26-generic #30-Ubuntu SMP Tue Jun 27 09:30:12 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

$ xinput list
⎡ Virtual core pointer id=2 [master pointer (3)]
⎜ ↳ Virtual core XTEST pointer id=4 [slave pointer (2)]
⎜ ↳ Logitech MX Master id=10 [slave pointer (2)]
⎜ ↳ ASASTeK COMPUTER INC. ROG MacroKey id=16 [slave pointer (2)]
⎜ ↳ ELAN1203:00 04F3:301E Touchpad id=17 [slave pointer (2)]
⎜ ↳ Logitech M510 id=21 [slave pointer (2)]
⎜ ↳ Logitech K350 id=12 [slave pointer (2)]
⎜ ↳ ASASTeK COMPUTER INC. ROG MacroKey id=15 [slave pointer (2)]
⎣ Virtual core keyboard id=3 [master keyboard (2)]
    ↳ Virtual core XTEST keyboard id=5 [slave keyboard (3)]
    ↳ ASASTeK COMPUTER INC. ROG MacroKey id=14 [slave keyboard (3)]
    ↳ Sleep Button id=9 [slave keyboard (3)]
    ↳ Logitech MX Master id=11 [slave keyboard (3)]
    ↳ USB2.0 HD UVC WebCam id=13 [slave keyboard (3)]
    ↳ Power Button id=6 [slave keyboard (3)]
    ↳ AT Translated Set 2 keyboard id=19 [slave keyboard (3)]
    ↳ Asus WMI hotkeys id=18 [slave keyboard (3)]
    ↳ Video Bus id=8 [slave keyboard (3)]
    ↳ Asus Wireless Radio Control id=7 [slave keyboard (3)]
    ↳ Logitech K350 id=20 [slave keyboard (3)]
    ↳ ASASTeK COMPUTER INC. ROG MacroKey id=22 [slave keyboard (3)]

aljosa (aljosa-p) wrote :

Hello FZ (sirfz), thank you very much for this info. Can you please tell me what is your Nvidia driver?
I installed Ubuntu 17.04 while it was still in development, here is my xinput list (Kernel 4.11.8; Nvidia 381.22)

$ xinput list
⎡ Virtual core pointer id=2 [master pointer (3)]
⎜ ↳ Virtual core XTEST pointer id=4 [slave pointer (2)]
⎜ ↳ G-SPY USB Gaming Mouse id=12 [slave pointer (2)]
⎜ ↳ ASASTeK COMPUTER INC. ROG MacroKey id=14 [slave pointer (2)]
⎜ ↳ ASASTeK COMPUTER INC. ROG MacroKey id=15 [slave pointer (2)]
⎜ ↳ ELAN1203:00 04F3:3043 Touchpad id=16 [slave pointer (2)]
⎣ Virtual core keyboard id=3 [master keyboard (2)]
    ↳ Virtual core XTEST keyboard id=5 [slave keyboard (3)]
    ↳ Power Button id=6 [slave keyboard (3)]
    ↳ Asus Wireless Radio Control id=7 [slave keyboard (3)]
    ↳ Video Bus id=8 [slave keyboard (3)]
    ↳ Sleep Button id=9 [slave keyboard (3)]
    ↳ USB2.0 HD UVC WebCam id=10 [slave keyboard (3)]
    ↳ G-SPY USB Gaming Mouse id=11 [slave keyboard (3)]
    ↳ ASASTeK COMPUTER INC. ROG MacroKey id=13 [slave keyboard (3)]
    ↳ Asus WMI hotkeys id=17 [slave keyboard (3)]
    ↳ AT Translated Set 2 keyboard id=18 [slave keyboard (3)]
    ↳ G-SPY USB Gaming Mouse id=19 [slave keyboard (3)]
    ↳ ASASTeK COMPUTER INC. ROG MacroKey id=20 [slave keyboard (3)]

FZ (sirfz) wrote :

I installed the latest stable Nvidia driver from the graphics-drivers repo. Driver Version: 375.66.

aljosa (aljosa-p) wrote :

My Ubuntu is fully updated, but my ELAN touchpad doesn't work.
Next week I will perform a new clean installation, without Windows.
Just one more thing: what is your BIOS version (my is latest available G752VS_BIOS.306)?

FZ (sirfz) wrote :

Same here, bios version G752VS.306. I also replaced Windows completely (no dual-boot).

It's really strange since the touchpad was completely dead in both Live Ubuntu and after installing and upgrading Ubuntu. Yesterday I just installed Chrome and later run a software update which updated 2 or 3 packages and that's it. Later that night I used the touchpad out of habit after opening the lid and after a few seconds I remembered that it wasn't supposed to be working but here it is, fully functional.

FZ (sirfz) wrote :

Update: After reboot, the touchpad is not back to being completely dead (I sensed this was going to happen). Obviously it's supported since it worked flawlessly at one point so what could possibly be the problem and where to look for it?

FZ (sirfz) wrote :

Update2: Problem was due to the Touchpad Indicator Gnome extension which automatically disables the touchpad when a mouse is plugged in (in my case it was just the Unifying Receiver, regardless if a mouse is actually connected). Once I unplugged the receiver, the touchpad functioned normally. Given that the Fn+Touchpad-toggle key is not functional, I have no easy way to re-enable the touchpad when it's locked by the indicator extension (which is what I was used to do in my previous G751 model).

aljosa (aljosa-p) wrote :

When booting without USB mouse connected, my touchpad cursor is visible for 1 second before login screen appears. After inserting password, my touchpad cursor becomes again visible for few seconds...

By the way: "ELAN touchpad completely dead - possibly caused by Nvidia driver?"
https://devtalk.nvidia.com/default/topic/1016797/linux/elan-touchpad-completely-dead-possibly-caused-by-nvidia-driver-/
Developer conclusion: if ELAN touchpad is completely dead both with and without Nvidia driver, then it can be ELAN touchpad driver, kernel or bios problem and not Nvidia issue.

Next week I will perform a new clean installation without Windows and post here the results.

aljosa (aljosa-p) wrote :

*
Ubuntu 17.10 daily build (2017-07-10), kernel 4.10.0-19
Booted from Live USB, without USB mouse connected: ELAN touhpad doesn't work at all, but al least touchpad cursor is visible all the time. I've tried to disable/enable the touchpad via system settings, but nothing changes.
After that, I suspended my Asus G752VS laptop via shutdown/suspend menu and then I disconnected the USB mouse. After waking up from suspend, my ELAN touhpad magically became fully functional - everything works fabulously.

*
Fedora Workstation 26, kernel 4.11.8
Booted from Live USB, without USB mouse connected: ELAN touhpad doesn't work at all, but al least touchpad cursor is visible all the time. With the USB mouse connected, I've tried to disable/enable the touchpad via system settings, but nothing changes.
After that, I pressed the power button to suspend my Asus G752VS laptop and then I disconnected the USB mouse. After pressing once again the power button to wake up from suspend, my ELAN touhpad magically became fully functional - everything works fabulously.

*
As reported here
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1653456/comments/76
the trick should work also with Ubuntu 17.04 but that's not my case. My current Ubuntu 17.04 was installed while it was still in development - so I will perform a new clean installation (without Windows) in the next few days.

Jorge (jlamp) wrote :

Hi,

Same problem using G752VM, Ubuntu 16.04 and new kernel 4.12.0-041200-generic. ELAN touchpad doesn't work, I try to suspend and waking up the computer but nothing.

I'm also having problems when I plug in the headphones, what needs to be enable?

aljosa (aljosa-p) wrote :

Hello Kai-Heng Feng,
I installed your kernel but ELAN touchpad remains completely dead.

Please find attached the "experiment" zip file:

*
dmesg 115 without nvidia driver (ubuntu 17.04 your kernel);
dmesg 116 with nvidia 384.47 (ubuntu 17.04 your kernel);

*
all other infos are taken from Live USB Ubuntu 17.10 daily build (2017-07-10) kernel 4.10.0-19, after suspending/waking when ELAN touchpad works perfectly: dmesg_117, cat_proc_interrupts, sys_firmware_acpi_interrupts, xinput_list, dsdt.

FZ (sirfz) wrote :

@aljosa, I confirm that the touchpad only works after resume from suspend. Btw, I'm having another (extremely annoying) problem, whenever I try to login after resume (or just locking the desktop after idle time), the desktop freezes for a while before gnome-shell crashes and restarts (sometimes it freezes indefinitely). Have you experienced anything similar? I'm unable to pin this down, all I see is "too many open files" errors in journalctl but couldn't find anything related (obviously raising the open files limit is not the solution since gnome-shell shouldn't be opening so many files).

FZ (sirfz) wrote :

@Jorge to fix headphone jack, you need to use hdajackretask to override pin 0x16 to Headpohne. This fixes the Headphone jack. However, there's no way to fix the Microphone jack which doesn't work at all and I found no way to fix it (had the same problem with my previous G751).

aljosa (aljosa-p) wrote :

Hello FZ (sirfz), with 17.04 my ELAN touchpad doesn't work after resume from suspend, and no - I haven't experienced problems that you decribed. I don't use GNOME Shell so probably that's the reason why our situations are different.

By the way, I think that it would be a good idea if you report all your/our problems here (including all problematic DMESG lines) as soon as you can: "Asus G752VS - new 309 BIOS update coming soon"
https://rog.asus.com/forum/showthread.php?94638-Any-new-BIOS-and-Driver-updates-(G752vs)

Benjamin Wynne (bwynne) wrote :

Hello Kai-Heng Feng,

Thank you for your continued efforts in this area. Unfortunately, I also have no success after installing the lp1653456+mt kernel you linked (ubuntu 17.04, dual-boot with Win10).

I have the same hardware as the others in this thread: Asus ROG g752vs. After unplugging my USB mouse, xinput lists the following:

⎡ Virtual core pointer id=2 [master pointer (3)]
⎜ ↳ Virtual core XTEST pointer id=4 [slave pointer (2)]
⎜ ↳ ASASTeK COMPUTER INC. ROG MacroKey id=14 [slave pointer (2)]
⎜ ↳ ASASTeK COMPUTER INC. ROG MacroKey id=15 [slave pointer (2)]
⎜ ↳ ELAN1203:00 04F3:3043 Touchpad id=16 [slave pointer (2)]

I also note the same issue with function keys (only volume controls working). One other issue that I doubt is related, but I list for completeness: the laptop is never shown as "charging" when plugged in. The system just reports that the battery is not draining.

Regards,
Ben

aljosa (aljosa-p) wrote :

Hi Benjamin Wynne,
function keys are working ok only with kernel 4.12 (with which among other problems wifi doesn't work too).

On my laptop with Windows 10 charging sometimes stops at 95% or 97% with the notification "Plugged in not charging", and sometimes it goes to full 100%. With Ubuntu I have "charging", or most of the time "Battery (estimating...)". Here's what I believe is a correct explanation:
https://rog.asus.com/forum/showthrea...n-Not-Charging
"This is 100% normal, standard behaviour for all laptops that I have seen in the past 5 years. What you described in your post sounded more like your battery not charging at all, just discharging. What's actually happening is your computer using a standard method of battery preservation and Windows knows this, which is why it's telling you that it's plugged in but not charging - simply because it does not need to. You should actually worry about your battery being at 100%, not about it being at less than that.
The idea is that once the battery hits around 95-98% charge, charging stops in order to prevent battery life loss as these batteries should not be charged to full. This is controlled by the built-in power/energy controller. Once it hits that point the battery begins being trickle charged, just enough to keep it at a steady level. Otherwise you would see the battery drop to 97, 96, 95 etc as each day passes by. Your battery continues to be charged extremely slowly to keep it at 98% until you actually use the battery.
In order to make sure your battery will last as long as possible, fully discharge it once a month. It'll last years.
You were almost going to try "fixing" your 100% functional battery, heh.
At least you spared yourself the laugh the tech people would have given you at the computer store.
You have nothing to worry about."

Kai-Heng Feng (kaihengfeng) wrote :

@Jorge,
Can you file a new bug for the headphone issue?

@FZ,
Yours has a different ID:
ELAN1203:00 04F3:301E

Seems like the issue is limited to this one only:
ELAN1203:00 04F3:3043

Kai-Heng Feng (kaihengfeng) wrote :

@aljosa,

Does the interrupts number for ELAN1203 increases when you touch the touchpad?
You can use `watch -n0.1 cat /proc/interrupts` to check.

aljosa (aljosa-p) wrote :

Hello Kai-Heng Feng,
regarding the interrupts number for ELAN1203, please find attached the "experiment_2" zip file ("watch -n0.1 cat /proc/interrupts"):

*
watch_interrupts_1a = Ubuntu 17.04, your kernel 4.11.0-11
without touching the touchpad and pressing its buttons;

*
watch_interrupts_1b = the same after touching the touchpad and pressing its buttons;

*
watch_interrupts_2a = Ubuntu 17.04, default kernel 4.10.0-28
without touching the touchpad and pressing its buttons;

*
watch_interrupts_2b = the same after touching the touchpad and pressing its buttons;

*
watch_interrupts_3a = Ubuntu 17.10 Live USB daily build (2017-07-10) kernel 4.10.0-19
before suspending/waking, without touching the touchpad and pressing its buttons;

*
watch_interrupts_3b = the same after suspending/waking, without touching the touchpad and pressing its buttons;

*
watch_interrupts_3c = the same after suspending/waking when ELAN touchpad works perfectly, with touching the touchpad and pressing its buttons.

Jorge (jlamp) wrote :

Hello Kai-Heng Feng,

My touchpad ID is:
ELAN1203:00 04F3:301E Touchpad

If this issue is limited to ELAN1203:00 04F3:3043 I need to create a new bug to?

Benjamin Wynne (bwynne) wrote :

@Jorge: I can confirm that the fix suggested by FZ "use hdajackretask to override pin 0x16 to Headpohne" works

@Kai-Heng Feng: when I run "watch -n0.1 cat /proc/interrupts", these two lines increment when I touch the touchpad

  17: 712 9032 0 0 0 0 0 0 IR-IO-APIC 17-fasteoi idma64.1, i2c_designware.1
  95: 1 540 0 0 0 0 0 0 IR-IO-APIC 95-fasteoi ELAN1203:00

I am currently running your latest kernel (4.11.0-11-generic #16~1653456+mt) in Ubuntu 17.04

Regards,
Ben

Kai-Heng Feng (kaihengfeng) wrote :

@aljosa,

Interesting, do you mean that the touchpad works after suspend?
Does it happen to manually clicking the suspend, or lid close/open?

aljosa (aljosa-p) wrote :

Yes, I confirm that in Ubuntu 17.10 Live USB daily build (2017-07-10) the touchpad works perfectly after manual suspend/wake-up (via shutdown/suspend menu).
I haven't tried what happens with lid close/open.

Kai-Heng Feng (kaihengfeng) wrote :

Does the touchpad toggle hotkey help? You need to install newer kernel to test.

aljosa (aljosa-p) wrote :

Please correct me if I'm wrong, but installing the new kernel requires computer restart - and I can't do that while running the Live USB of Ubuntu 17.10?

Kai-Heng Feng (kaihengfeng) wrote :

Yes, you need to restart after installing new kernel.
I don't know how to do that under live USB.

aljosa (aljosa-p) wrote :

Hi FZ (sirfz),
we both have a touchpad whose ID is ELAN1203:00 04F3:3043.
Since the suspend/resume trick doesn't work in my "Ubuntu 17.04 Unity", but in your "Ubuntu 17.04 GNOME Shell" it works ok, can you please try to do what Kai-Heng Feng suggests: install the new 4.12 kernel and before applying the suspend/resume trick check if touchpad toggle hotkey (disable/enable) help?

FZ (sirfz) wrote :

Tested with Kernel 4.12 installed from http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.12/. Fn+F9 works in enabling/disabling the touchpad (at least I see the feedback animation), however the touchpad isn't actually enabled and still does not respond at all unless I suspend and resume my PC (this time I suspended using the now functional Fn+F1 key).

On a side note, brightness control from the Gnome control center does not work for me and instead I can only control it using xbacklight. With kernel 4.12, the Fn control keys for brightness are now working (visual feedback) but the brightness does not change. Anyone has a solution for this? I'm using 375.66 and I have "RegistryDwords" "EnableBrightnessControl=1" in my xorg.conf under Device (never worked for me in any G7 model, g750, g751 and now g752).

aljosa (aljosa-p) wrote :

Hi FZ (sirfz), I'm Sorry if I'm boring you but the latest available kernel is 4.12.3 - can you please try with it what Kai-Heng Feng suggests?
http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.12.3/

FZ (sirfz) wrote :

No change in kernel 4.12.3: Touchpad does not work on first boot, even after toggling it using Fn+F9 (which now gives visual feedback). Touchpad only works after resume from suspend (and the toggles work after resume as well - I can enable/disable it normally).

Kai-Heng Feng (kaihengfeng) wrote :

I think the touchpad should work - can you try use xinput to disable/enable the touchpad device?

Also, try blacklisting kernel module psmouse.

FZ (sirfz) wrote :

xinput disable/enable doesn't work either. Tried blacklisting psmouse (by adding "blacklist psmouse" to /etc/modprobe.d/blacklist.conf but that didn't make any difference. Still only works after a resume from suspend.

Note that I updated nvidia to 384.59 stable.

aljosa (aljosa-p) wrote :

Hi FZ (sirfz), does your wifi works with the 4.12 kernel series?
By the way, with Ubuntu the area around usb ports and audio jacks on the right side of my laptop is always pretty hot, while with Windows 10 everything is ok.

Benjamin Wynne (bwynne) wrote :

Hi all,

Confirming that the touchpad works correctly when running the Ubuntu 17.10 distribution "live" from a USB stick, but only after a suspend/resume cycle.

Regards,
Ben

FZ (sirfz) wrote :

@aljosa wifi doesn't work with kernel 4.12 but I assume this is because the mainline kernel builds don't come with Ubuntu's drivers included. As for the right-side temperature everything seems fine for me, maybe it's because I applied the hdajackretask headphones fix I mentioned earlier in this thread?

aljosa (aljosa-p) wrote :

The new BIOS 310 update has been released yesterday for ASUS G752VS laptop.
I don't know if there's any difference between BIOS update file for 'Windows 10 64bit' and OS 'Others'.

aljosa (aljosa-p) wrote :

Just installed the new BIOS 310 update for OS 'Others'.

I can't try the microphone jack at the moment, but the headphone jack still doesn't work and the area around usb ports and audio jacks on the right side of my laptop is again pretty hot. I applied the hdajackretask headphones fix (override pin 0x16 to headpohne), but after that the rear left and the rear right speaker doesn't work - so I restored the original settings.

ELAN touchpad remains completely dead:
[4.629104] hid-multitouch 0018:04F3:3043.0007: Ignoring the extra HID_DG_INPUTMODE
[4.629142] input: ELAN1203:00 04F3:3043 Touchpad as /devices/pci0000:00/0000:00:15.1/i2c_designware.1/i2c-1/i2c-ELAN1203:00/0018:04F3:3043.0007/input/input16
[4.629305] hid-multitouch 0018:04F3:3043.0007: input,hidraw6: I2C HID v1.00 Mouse [ELAN1203:00 04F3:3043] on i2c-ELAN1203:00

FZ (sirfz) wrote :

Yes, the rear speakers not working is a side-effect of the headphones jack fix :( Any idea what are the changes in BIOS 310?

Benjamin Wynne (bwynne) wrote :

@FZ - For me, the headphone jack fix works entirely correctly. The rear speakers are muted when headphones are connected, and un-muted when the headphones are disconnected. Unless that's an issue with the new BIOS (I haven't tried it) then perhaps it would be worth having another tinker with hdajackretask?

@aljosa - I'd be surprised if heating on the right side of the laptop could be caused by a misidentified headphone jack. In benchmarks, there is a slightly warmer area to the right of the touchpad, which seems to correspond to the location of the HDD. However, the laptop is supposed to have excellent cooling (certainly this has been my experience) so if any part of the laptop goes much above 40-45C it might indicate a hardware fault. But first maybe just check if you're thrashing the HDD...

Still hoping for a solution to the trackpad problem! Even once Ubuntu 17.10 is released it'd be quite annoying to have to suspend/resume the laptop every time.

aljosa (aljosa-p) wrote :

Before I submit a bug to Alsa-devel mailing list
http://mailman.alsa-project.org/mailman/listinfo/alsa-devel
let's clarify a few things:

ASUS G752VS laptop has two stereo speakers behind the display on the rear side of the notebook, and a separate subwoofer that sits on the underside.

1)
If within sound settings the "Analog Stereo Output" mode is selected, the subwoofer doesn't work and its volume control is grayed out (disabled) - is this a bug?

2)
If within sound settings the "Analog Surround 4.0 Output" mode is selected, fade control works even if laptop doesn't have both front and rear speakers - is this a bug?
The subwoofer works but its volume control is grayed out (disabled) - is this a bug?

3)
Microphone jack doesn't work.

4)
Apparently, the headphone jack doesn't work too. But instead of simple universal headphone jack, we must use a proper 3.5mm S/PDIF jack. Can anyone please confirm that headphones doesn't work even with this special type of jack?

5)
The right side of the laptop (area around audio jacks) is pretty hot compared to the left side which is completely cold. I don't use headphones, and
sudo hddtemp /dev/sda
/dev/sda: HGST HTS721010A9E630: 44°C

Benjamin Wynne (bwynne) wrote :

1) Confirmed

2) Confirmed

3) Have no external mic, cannot test. The built-in laptop mic works fine.

4) I'm not sure exactly what the differences in headphone jacks are, but my "standard" headphones did not work at all initially, and after hdajackretask they work as I expect them to.

5) There are some thermal camera images here - is your laptop temperature very different? https://www.notebookcheck.net/Asus-ROG-G752VS-Notebook-Review.171608.0.html#toc-emissions

aljosa (aljosa-p) wrote :

4)
Google says that S/PDIF jack is longer than headphone jack.

5)
Touching with my hand it seems much hotter, but the thermometer for body temperature measuring says 41-41,5° Celsius.
Possible reason: I still dual boot Windows 10 and Ubuntu, and My HDD is formatted with NTFS? Anyway, under Windows 10 both left and right side of the laptop are completely cold.

aljosa (aljosa-p) wrote :

3)
I've tried with a standard headset that uses 2 separate jacks for microphone and headphones.
External microphone doesn't work if plugged into the Notebook microphone port, but it works if plugged into the S/PDIF (headphone) port.

aljosa (aljosa-p) wrote :

Both microphone and headphone jack works ok in Windows 10. I forgot to ask, can anyopne of you guys check the sound on TV when connected to Laptop with HDMI?

Kai-Heng Feng (kaihengfeng) wrote :

LP: #1705000 can be a good start to debug audio issue.

FZ (sirfz) wrote :

I confirm (1) and (2) as well.

3) Microphone jack works on Windows but not on Linux (also disables internal mic, which is the expected behavior I suppose - just like headphones disable internal speakers).

4) Any 3.5mm jack should work, at least on Windows you can plug any headphones/earphones and expect them to work while on Linux plugging a jack has no effect (sound still plays from the internal speakers) - unless the hdajackretask tweak is applied.

5) Now that I checked again, I can feel the right-side warmer than most other areas of the laptop. Not sure it's a Linux-related issue though as I think I read somewhere once someone reporting this who was using Windows at the time.

aljosa (aljosa-p) wrote :

Just installed the new 4.13-rc4 kernel, ELAN touchpad remains completely dead.

[3.456538] usb 1-6: New USB device found, idVendor=04d9, idProduct=a070
[3.456539] usb 1-6: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[3.456557] usb 1-6: Product: USB Gaming Mouse
[3.456557] usb 1-6: Manufacturer: G-SPY
[3.576067] usb 1-8: new full-speed USB device number 5 using xhci_hcd
[3.742050] usb 1-8: New USB device found, idVendor=0b05, idProduct=1837
[3.742051] usb 1-8: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[3.742069] usb 1-8: Product: ROG MacroKey
[3.742069] usb 1-8: Manufacturer: ASASTeK COMPUTER INC.
[3.784950] usbcore: registered new interface driver usbhid
[3.784950] usbhid: USB HID core driver
[3.786496] input: G-SPY USB Gaming Mouse as /devices/pci0000:00/0000:00:14.0/usb1/1-6/1-6:1.0/0003:04D9:A070.0001/input/input5
[3.786559] input: ASASTeK COMPUTER INC. ROG MacroKey as /devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/0003:0B05:1837.0004/input/input6
[3.844367] holtek_mouse 0003:04D9:A070.0001: input,hidraw0: USB HID v1.10 Keyboard [G-SPY USB Gaming Mouse] on usb-0000:00:14.0-6/input0
[3.844546] input: G-SPY USB Gaming Mouse as /devices/pci0000:00/0000:00:14.0/usb1/1-6/1-6:1.1/0003:04D9:A070.0002/input/input7
[3.904373] asus 0003:0B05:1837.0004: input,hidraw1: USB HID v1.10 Keyboard [ASASTeK COMPUTER INC. ROG MacroKey] on usb-0000:00:14.0-8/input0
[3.913874] input: ASASTeK COMPUTER INC. ROG MacroKey as /devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.1/0003:0B05:1837.0005/input/input8
[3.964579] holtek_mouse 0003:04D9:A070.0002: input,hiddev0,hidraw2: USB HID v1.10 Mouse [G-SPY USB Gaming Mouse] on usb-0000:00:14.0-6/input1
[3.964892] holtek_mouse 0003:04D9:A070.0003: hiddev1,hidraw3: USB HID v1.10 Device [G-SPY USB Gaming Mouse] on usb-0000:00:14.0-6/input2
[4.024263] asus 0003:0B05:1837.0005: input,hiddev2,hidraw4: USB HID v1.10 Device [ASASTeK COMPUTER INC. ROG MacroKey] on usb-0000:00:14.0-8/input1
[4.024322] input: ASASTeK COMPUTER INC. ROG MacroKey as /devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.2/0003:0B05:1837.0006/input/input9
[4.024689] asus 0003:0B05:1837.0006: input,hidraw5: USB HID v1.10 Mouse [ASASTeK COMPUTER INC. ROG MacroKey] on usb-0000:00:14.0-8/input2

[4.498142] i2c_hid i2c-ELAN1203:00: i2c-ELAN1203:00 supply vdd not found, using dummy regulator

[4.728492] asus_wmi: ASUS WMI generic driver loaded
[4.729481] asus_wmi: Initialization: 0x1
[4.729501] asus_wmi: BIOS WMI version: 7.9
[4.729524] asus_wmi: SFUN value: 0xa0265
[4.730178] input: Asus WMI hotkeys as /devices/platform/asus-nb-wmi/input/input15
[4.857116] hid-multitouch 0018:04F3:3043.0007: Ignoring the extra HID_DG_INPUTMODE
[4.857149] input: ELAN1203:00 04F3:3043 Touchpad as /devices/pci0000:00/0000:00:15.1/i2c_designware.1/i2c-1/i2c-ELAN1203:00/0018:04F3:3043.0007/input/input17
[4.857395] hid-multitouch 0018:04F3:3043.0007: input,hidraw6: I2C HID v1.00 Mouse [ELAN1203:00 04F3:3043] on i2c-ELAN1203:00
[4.962893] asus_wmi: Number of fans: 1

aljosa (aljosa-p) wrote :

[alsa-devel] ASUS G752VS: Linux audio/sound problems:
http://mailman.alsa-project.org/pipermail/alsa-devel/2017-August/123604.html

FZ (sirfz) wrote :

I've come across an interesting development regarding the Touchpad issue. Since I was having the random freeze when logging in after stand by (or just locked screen), I decided to switch from gdm to lightdm to see if that solves the issue. Indeed, I no longer experience any freezing when logging in. However, the Touchpad now never works even after returning from standby.

To add to that, I also noticed that when gdm was freezing and I had to restart it, the Touchpad stops working afterwards (and I usually had to go to standby and back to make it work again).

Seems that there's a direct relation between gdm and the Touchpad. Not sure what though.

aljosa (aljosa-p) wrote :

Few days ago I tried "Live USB Ubuntu Budgie 17.10 daily build", ELAN touchpad works correctly only after resume from suspend.

One very interesting detail: for a quite long time the ELAN touchpad is buggy in Windows too!!! While in Linux ELAN touchpad starts functioning only after resume from suspend, in Windows the opposite happens: it stops functioning after resume from suspend!!!

ASUS Republic of Gamers Official Forum - Temporary fix for the touchpad bug on G752VS:
"Bored by the non-responsiveness of ASUS officials, I've messed around with the touchpad bug when resuming the laptop from sleep"...
https://rog.asus.com/forum/showthread.php?87439-G752vs-touchpad-issue&p=639406&viewfull=1#post639406
https://rog.asus.com/forum/showthread.php?93026-Temporary-fix-for-the-touchpad-bug-on-G752VS

Anton Rusnanto (a-rus) on 2017-09-11
Changed in linux (Ubuntu):
status: Confirmed → Fix Released
Benjamin Wynne (bwynne) wrote :

Hi Anton,

Sorry, can you give any information about the fix? I'd quite like to get my trackpad working...

Regards,
Ben

Caleb McKay (caleb-9) wrote :

I'm running 17.10 with the latest patches and still have this bug. What exactly was released that fixes this issue?

Caleb McKay (caleb-9) wrote :

This guy on the Asus forum posted a firmware upgrade for the touchpad that fixes the ongoing Windows issues. I took a chance for grins and installed it, and it definitely fixed the sleep issues in Windows 10. However, after installing, my touchpad now works perfectly under Ubuntu 17.04 as well. Not sure where the original source of the patch came from, but it definitely works.

https://rog.asus.com/forum/showthread.php?93405-G-752-VS-Touchpad-Gesture-Fix

Benjamin Wynne (bwynne) wrote :

The forum thread states that the file was reported as malware, and the download site is amazingly dodgy (including running what seems to be a JavaScript bitcoin miner in your browser).

Given that the fix apparently works, is it possible to reverse-engineer the important part while removing the rubbish? The instructions mention extracting a .bin file - if you've already done this, could you examine it for any relevant info?

Seems a bit risky installing arbitrary firmware files...

Caleb McKay (caleb-9) wrote :

The hope was by verifying it worked and posting it here, one of the many people more intelligent than me on this mailing list could look at it and determine what about this patch fixes the issue and confirm it is safe. The only thing I found when scanning the files was a Windows warning about not recognizing WinIAP_X64.exe, but that isn't unusual. I'll attach the zip file here so maybe someone can look at it without dealing with the shady free file hosting site. But I agree with you - I wouldn't suggest anyone else install the firmware without someone analyzing the files first.

Benjamin Wynne (bwynne) wrote :

After a little research I can sort-of see what's going on. This WinIAP utility seems to come from Elan themselves, and a similar firmware update was distributed officially for an MSI laptop (https://www.msi.com/Laptop/support/GS70-STEALTH#down-firmware).

Compared to that download, the one from the ROG forum has different md5sum values for the various executables, but that could just mean it's a different version, or it could mean there's malware bundled with it. It's also targeting different hardware, so the firmware file itself is different.

Since it seems that there are similar issues regarding the touchpad and suspend/resume in linux and windows, it seems reasonable to assume that a firmware update could fix it. However, the provenance of the file you linked is suspicious enough that I'm reluctant to install it (thank you for attaching your copy though!).

It seems that Elan only expect to distribute such updates via the manufacturer, so I guess we need to chase ASUS.

Regards,
Ben

Benjamin Wynne (bwynne) wrote :

Well, I couldn't let this one go. I did the following - call me paranoid if you like...

1) Downloaded WinIAP_Fix Touchpad.zip, and the MSI firmware I mentioned earlier as a comparison.
2) Compared the readable strings of corresponding executables - nothing suspicious, files look like different versions of same executable.
3) Uploaded file to a number of virus-scanning websites - nothing suspicious reported.
4) Loaded Win10 virtual machine, opened the firmware update utility, then ran virus scanners in VM - nothing suspicious reported.

Finally

5) Installed the firmware update in my real Win10 partition.

Confirming that this fixes the touchpad in Ubuntu 17.04, and that the touchpad still works in Win10.

I still can't guarantee that this didn't install a virus somewhere, but it's nice to have the touchpad working!

Regards,
Ben

aljosa (aljosa-p) wrote :

Today I sent the following email to ASUS support:

26 September 2017

Quite a long time ago it's been reported that there's a serious issue with the ASUS G752VS laptop equipped with ELAN touchpad - regardless of which operating system is in use.
Problem is still unsolved: while in Linux the ELAN touchpad starts functioning only after resume from suspend, in Windows the opposite happens - ELAN touchpad stops functioning after resume from suspend!

The good news is that some smart people created a glorious fix for ASUS G752VS touchpad issue. It's been reported that the mentioned fix works both in Windows and Linux:

=========
Patch:
http://www.share-online.biz/dl/E5NEO8QOUVO

Windows:
https://rog.asus.com/forum/showthread.php?93405-G-752-VS-Touchpad-Gesture-Fix

Linux (comments #130 and 134) :
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1653456
=========

The bad news is that it is not an official ASUS fix, and that the patch eventually contains a virus.

As an owner of G752VS laptop for which I paid the not so small amount of 2400 euro, I'm very interested to know if ASUS intents to officially fix the long standing issue with ELAN touchpad in the foreseeable future?

Thanks in advance for any replies,
worried Customer.

Eugene Savelov (savelov) wrote :

I have ASUS vivobook X505ba , touchpad is ELAN1200:00 04F3:303E
Having similar similar with touchpad not working in ubuntu 17.04/17.10

aljosa (aljosa-p) wrote :

Here's ASUS's response:

Dear valued customer,
Thank you for contacting Asus, my name is xxx and I will try my best to assist you with your current situation.
Regarding your below request, unfortunately, we do not have any official reports about the products touchpad.
If possible (from windows OS) please uninstall the "Asus ATK package" and "Asus smartgesture utility" drivers and install the drivers from the below links.

http://dlcdnet.asus.com/pub/ASUS/nb/DriversForWin10/Chipset/Chipset_Intel_Skylate_Win10_64_VER101113.zip?_ga=2.193097389.1829356103.1506525128-552059996.1504683743

http://dlcdnet.asus.com/pub/ASUS/nb/Apps_for_Win10/ATKPackage/ATKPackage_Win10_64_VER100050.zip?_ga=2.193097389.1829356103.1506525128-552059996.1504683743

http://dlcdnet.asus.com/pub/ASUS/nb/DriversForWin10/TouchPad/Touchpad_ASUS_Win10_64_VER1101002.zip?_ga=2.193097389.1829356103.1506525128-552059996.1504683743

Please also make sure that the BIOS is updated to the latest version by using the utility winflash.
Please inform us if after the above and restarting your computer the problem persists.

FZ (sirfz) wrote :

@aljosa have you tried their suggestion? I can't try it right now because I completely wiped out Windows from my machine when I installed Ubuntu.

aljosa (aljosa-p) wrote :

No. I don't feel comfortable installing that patch. Firstly, because it is quite suspicious. Secondly, I will completely wipe out Windows from my machine in coming days, so even if the patch eventually works correctly - I think that without Windows the effect will most probably disappear.
By the way, Google says that "touchpad works only after waking from suspend/hibernate" was not-so-rare problem in the recent past.

Caleb McKay (caleb-9) wrote :

That's just the same BS Asus support always try to push on people. I can tell you have updated every driver, to no avail. And even if it did work, it wouldn't make a difference in Windows. It is most certainly a firmware bug. That said, there still hasn't been any explanation as to why this thread was marked "fixed." Except for the iffy firmware patch I posted earlier, as far as I know nothing else has fixed this issue. It would be nice if Anton made some other comment besides just marking the thread fixed.

Caleb McKay (caleb-9) wrote :

Wouldn't make a difference in Linux I meant.

marc (ciaobaby) wrote :
Download full text (3.1 KiB)

Hello, people in this thread should try to unlock their ASUS BIOS. You should unlock the CHIPSET tab of your BIOS.

I too own a G752VS laptop and use Windows 7 on it. It works great except for the touchpad which is dead in WIN 7.

When you unlock the CHIPSET tab of your BIOS you will see there are options to use different touchpad controllers, I saw entries for Synapstics, Elan and others. I tried changing a few controllers and managed to get some unrecognized new hardware in device manager with the yellow exclamation point, but I am not able to figure out how to assign drivers that will work. I am somewhat knowledgeable of these common procedures, but I simply was not too familiar with how to properly configure different drivers for this touchpad in Windows 7.

The caveat for unlocking an ROG BIOS of the family G752xx is that it is incredibly simple to brick your machine if you do not follow the exact procedure.

To give you an example I was able to unlock mine but before that happened, I in fact bricked my machine and had to buy an SPI Programmer on eBay to resuscitate it. I spent almost a month without a working machine. The SPI can cost between $50 to $80+ so you should attempt this only if you are prepared to spend extra money and time on it.

Chances are you WILL brick your machine if you attempt this, so don't blame it on me. You've been warned! Like I said, I've become knowledgeable of these procedures over the years but I was taken off guard and almost thought I lost my machine. ASUS may not cover the warranty for something like this and you could end up looking very sad in the end.

But with that said, I think this could give experienced and knowledgeable individuals in this forum the means to explore different approaches and find solutions to them. At the moment you are all stuck trying to make the default touchpad work, but it could be as simple as switching controllers in the BIOS and installing the proper drivers. I don't know for sure, I'm just throwing this out there...

Unfortunately I cannot share my unlocked BIOS because that will most certainly brick your system due to individual firmware differences it seems (I don't know exactly but it's got something to do with the intel ME FW). Steps on how to unlock your bios could be found on the internet. Also, the whole procedure seems to be kept secret by those who UNDERSTAND how to unlock the CHIPSET tab. I said "understand" for a reason... I for instance do NOT understand how to unlock it, I simply followed steps on how to do it, so I need to respect the wish of those who trusted I wouldn't share either my BIOS or the ENTIRE procedure. I know this sounds sketchy and silly, but hey this was whole my experience in attempting this particular BIOS mod. If you scour the internet, just like I did you should be able to piece the whole puzzle together.

Just dropping my two cents on this and not trying to get involved in the trial and error testing of this issue as unfortunately I can't, but the reason I do is because I sure would love to have that touchpad working in Windows 7.

Thank you for reading this and I hope the info I shared can point some of you in the right direction.

Cheer...

Read more...

aljosa (aljosa-p) wrote :

Today I sent the following email to ELAN support: Elan touchpad serious problem

24 October 2017

Dear Elan,
I am writing to inform you about the following:
G752VS and some other Asus laptops are equipped with "ELAN1203:00 04F3:3043" touchpad that is completely dead in every modern Linux distribution. Almost one year has passed that various kernel developers are unsuccessfully trying to help many Linux people whose Elan touchpad in mentioned Asus laptops doesn't work at all:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1653456
http://www.spinics.net/lists/linux-input/msg51188.html

Could you please help in any way to solve once and forever this annoying problem?
Thank you in advance for your attention to this matter,
best regards.

alex (alexander-ryabov-a) wrote :

I've tried to run attached firmware patch on Win10, it fixed problem on Ubuntu.

aljosa (aljosa-p) wrote :

24.11.2017
Dear Asus Customer Service,
attached please find the screenshot of today's situation at the ASUS Republic of Gamers Official Forum: one after another, there are 3 different topics regarding Asus G752VS - ELAN touchpad problems.

Now there are even more people who reported that the unofficial ELAN touchpad patch I've mentioned last time fixes the ELAN touchpad problem for Linux too:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1653456/comments/144
https://rog.asus.com/forum/showthread.php?93405-G-752-VS-Touchpad-Gesture-Fix

For your info, there's another reportedly successful unofficial ELAN touchpad fix, but I don't know if it makes the ELAN touchpad work under Linux too:
https://rog.asus.com/forum/showthread.php?93026-Temporary-fix-for-the-touchpad-bug-on-G752VS&p=688463&viewfull=1#post688463

27.11.2017
Dear Asus Valued Customer,
Regarding the below described case, we thank you for the information attached and we kindly inform you we have forwarded your message to the responsible department of our HQ.

aljosa (aljosa-p) wrote :

Hi all,
hopefully there's a solution for problematic DMESG lines regarding "(NULL device *): hwmon_device_register() is deprecated."
Paul Marques Mota has written a patch (comment nr. 2 and nr. 3)
https://bugzilla.kernel.org/show_bug.cgi?id=195843
Unfortunately, I'm not capable to apply it by myself - can anyone of you guys please test the patch?

Kasimodo (kasimodo) wrote :

Hi all.

I'm a noob in Linux and sorry for my very bad english. I have a G752VM (not VS) but got same problem with same Touchpad (ELAN1203).
I noticed there is something weird. I use Ubuntu 16.04 LTS installed and Touchpad doesn't work at all. BUT... if I start my G752VM with a LiveUSB key 16.04.3 LTS Ubuntu and suspend my Laptop and, then I wake up Touchpad works like a charm.
So why does this Touchpad work with LiveUSB key and not when Ubuntu is installed?

Clément Gayot (striffly) wrote :

Partial solution found !

After three months of research, I came by chance on this website : https://hive.blasux.ru/u/Stiletto/G752

# cd /sys/bus/hid/drivers/hid-multitouch
# ls
0018:04F3:3043.0007 bind module new_id uevent unbind
# echo "0018:04F3:3043.0007" > unbind
# echo 0018 04F3 3043 0013 > new_id

With libinput-devices, two devices are now listed :
ELAN1203:00 04F3:3043 Mouse
ELAN1203:00 04F3:3043 Touchpad

Touchpad mouse and buttons works, but no solution for multitouch (no gesture capabilities for Elan Mouse on kernel 4.15). I continue my research in relation to that.

You can make this persistent by creating a service that launch a bash script with these commands on OS startup.

aljosa (aljosa-p) wrote :

Hello Clément, can you please inform developers about your finding:
https://www.spinics.net/lists/linux-input/msg51188.html

I've tried in Solus to execute the suggested commands, but have a problem with permissions - any idea?

me@user ~ $ cd /sys/bus/hid/drivers/hid-multitouch
me@user /sys/bus/hid/drivers/hid-multitouch $ ls
0018:04F3:3043.0007 bind module new_id uevent unbind
me@user /sys/bus/hid/drivers/hid-multitouch $ echo "0018:04F3:3043.0007" > unbind
bash: unbind: Permission denied
me@user /sys/bus/hid/drivers/hid-multitouch $ echo 0018 04F3 3043 0013 > new_id
bash: new_id: Permission denied

Clément Gayot (striffly) wrote :

I will inform them asap ;)
You've to be sudoer, type "sudo su" before

Persistent script :

sudo nano /etc/systemd/system/enable-touchpad.service
-------------------
[Unit]
Description=Enable Touchpad

[Service]
ExecStart=/opt/bin/enable-touchpad

[Install]
WantedBy=multi-user.target

sudo nano /opt/bin/enable-touchpad
-------------------
#!/bin/bash

# I noticed that the id changes from one reboot to another (wtf), i use a grep to deal with that
cd /sys/bus/hid/drivers/hid-multitouch
echo "$(ls | grep -i '0018')" > unbind
echo 0018 04F3 3043 0013 > new_id

Then
sudo systemctl ena

Clément Gayot (striffly) wrote :

(fail post)

Then
# sudo systemctl enable enable-touchpad

Verify that everything is okay with
# sudo systemctl status enable-touchpad

There is also a patch on the forum ROG seem to corrects the pad problems, personally I do not recommend this solution, the tool is not open source and the author did not give any indication to that.

I hope this partial solution will help some people :)

aljosa (aljosa-p) wrote :
Download full text (4.8 KiB)

10.04.2018 - emailed message to Asus Customer Service

Dear Asus Customer Service,
I would like to be informed about two most imporant things regarding my Asus G752VS laptop:

1)
will Asus release anytime soon the new BIOS update containing Meltdown and Spectre fixes?

2)
will this new BIOS update contain a fix for reported long standing ELAN touchpad issue and finally make the touchpad usable (wake the dead) under Linux?

Best regards,
worried Customer

================

11.04.2018 - emailed message to Kai-Heng Feng, Chris Chiu, KT Liao, Benjamin Tissoires and Peter Hutterer

Dear Linux kernel developers,
with a hope that this message can somehow help finding the definitive and complete solution, I'm writing to inform you about some important news regarding Asus G752 laptop series and a long standing ELAN touchpad issue (touchpad "ELAN1203:00 04F3:3043" completely dead).

Some people reported in 2017 that installing a "suspicious" file under Windows solves the ELAN touchpad Linux problem too:
https://rog.asus.com/forum/showthread.php?93405-G-752-VS-Touchpad-Gesture-Fix
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1653456/comments/130
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1653456/comments/134
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1653456/comments/144
After a long time thinking, I didn't want to take a risk since the mentioned Windows file is "suspicious".

Now the big news is that after executing a few simple commands, ELAN touchpad is miraculously awaken from death and it starts partially functioning.
If you have some free time, please take a look here:
comment 152 https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1653456

Best regards.

================

Solus deveopers helped me to solve the "bash: new_id: Permission denied" problem in executing commands suggested by Clément Gayot - and here's the result:

# cd /sys/bus/hid/drivers/hid-multitouch
# ls
0018:04F3:3043.0007 bind module new_id uevent unbind
# echo "0018:04F3:3043.0007" | sudo tee /sys/bus/hid/drivers/hid-multitouch/unbind
# echo "0018 04F3 3043 0013" | sudo tee /sys/bus/hid/drivers/hid-multitouch/new_id

Miraculously - touchpad mouse and buttons works ok (as Clément Gayotbut said, no solution for multitouch - no gesture capabilities for Elan Mouse). Fn keys to disable and enable the touchpad works, but produce no effect at all - touchpad is always enabled.
Both with xinput and libinput-devices, two devices are now listed:

~ $ xinput
⎡ Virtual core pointer id=2 [master pointer (3)]
⎜ ↳ Virtual core XTEST pointer id=4 [slave pointer (2)]
⎜ ↳ G-SPY USB Gaming Mouse id=12 [slave pointer (2)]
⎜ ↳ Asus Keyboard id=14 [slave pointer (2)]
⎜ ↳ Asus Keyboard id=15 [slave pointer (2)]
⎜ ↳ ELAN1203:00 04F3:3043 Mouse id=16 [slave pointer (2)]
⎜ ↳ ELAN1203:00 04F3:3043 Touchpad id=21 [slave pointer (2)]
⎣ Virtual core keyboard id=3 [master keyboard (2)]
    ↳ Virtual core XTEST keyboard id=5 [slave keyboard (3)]
    ↳ Power Button id=6 [...

Read more...

aljosa (aljosa-p) wrote :

Received Tue, Apr 17, 2018 from Asus Support:

Dear Asus Valued Customer,
Regarding the below described case, we kindly inform you that the responsible department of our HQ is informed about this issue and currently examining the possibility of a new BIOS release update.
Furthermore, we would like to inform you that at the moment, Asus officially will release vulnerability fixes only for 6th, 7th and 8th generation processors.
We invite you to check Asus website periodically in order for new BIOS update releases and latest information about the subject.

https://www.asus.com/News/YQ3Cr4OYKdZTwnQK
https://www.asus.com/support/FAQ/1034979

Furthermore, we kindly inform you that we do not have any further information regarding the possibility of new BIOS update release containing a fix/patch for ELAN touchpad and we would also like to inform you that your product has not been officially tested by Asus with any OS other than Windows OS.
In case you are not satisfied by our reply above, please inform us accordingly before filling the satisfaction form.
In case you are satisfied by our reply above, we invite you to select 9 or 10 as a positive evaluation.
Should you have any further questions, please do not hesitate to get back in touch with us.

Daniel (danielomat) wrote :

Hi everyone,

I also have an Asus ROG G752-VS with the same dead Elantech touchpad you have. But I got it to work, briefly:
The Anaconda setup of Fedora 28 Atomic Workstation (https://torrent.fedoraproject.org/torrents/Fedora-AtomicWorkstation-ostree-x86_64-28.torrent) fully activates the touchpad, even with multitouch and tap-to-click. Unfortunately, after installation and ensuing re-boot the touchpad is dead again. For some reason that same installer doesn‘t work in all the other Fedora versions. Just wanted to share that, maybe it helps...

aljosa (aljosa-p) wrote :

Hello Daniel,
thank you for your finding.
I think it would be of great help if you can write here the results of executing, before Fedora installation, some or all diagnostic commands mentioned in this bug report. Hopefully, in this way we can finally find in what difference lies our problem :)

aljosa (aljosa-p) wrote :

Compared to other Linux distros, Fedora 28 Atomic Workstation kills our "ELAN1203:00 04F3:3043" touchpad too. After one year and a half, the good news is that Daniel reported that the Anaconda setup of Fedora 28 Atomic Workstation fully activates "ELAN1203:00 04F3:3043" touchpad!
I couldn't find the live image, so consequently without booting up the USB into the live session I was not able to try diagnostic commands. But I can confirm that the Anaconda setup of Fedora 28 Atomic Workstation fully activates "ELAN1203:00 04F3:3043" touchpad - even with multitouch and tap-to-click.

Daniel (danielomat) wrote :

Hiya Aljosa,
I haven‘t figured out how to open a terminal or switch to a parallel session while in Anaconda, so I can‘t poll the hardware. Having said that, I‘m trying to find out how to contact the Anaconda devs because this is the first time ever that the touchpad is working. If you start any other (earlier) Fedora release, the touchpad is dead even in Anaconda. And after the installation of the Atomic Workstation it is also dead.
Maybe another interesting conversation for our case could be a similar situation, alas they talk about „ELAN1200:00 04F3:303E Touchpad“:
https://bugzilla.redhat.com/show_bug.cgi?id=1543769

aljosa (aljosa-p) wrote :

Hello Daniel,
in my opinion, with your finding regarding the Anaconda pre-installation setup of Fedora 28 Atomic Workstation and "ELAN1203:00 04F3:3043" touchpad - we are very close to final, definitive solution for our annoying problem.
I have just asked for help at the link that you suggested.
I have found some contacts thay you asked for, if you can anyhow please ask them for help:

Atomic-devel -- Development list for Project Atomic:
https://lists.projectatomic.io/mailman/listinfo/atomic-devel

Projectatomic issues:
https://github.com/projectatomic/atomic/issues

Fedora workstation-ostree-config issues:
https://pagure.io/workstation-ostree-config/issues

Fedora Workstation/AtomicWorkstation contacts:
otaylor [at] redhat.com, mclasen [at] redhat.com; miabbott [at] redhat.com

Anaconda-devel-list
https://listman.redhat.com/mailman/listinfo/anaconda-devel-list

GitHub rhinstaller/anaconda
https://github.com/rhinstaller/anaconda

GitHub rhinstaller/initial-setup
https://github.com/rhinstaller/initial-setup

anaconda-patches, contact the list owners: anaconda-patches-owner [at] lists.fedorahosted.org

aljosa (aljosa-p) wrote :

Hi all,
We're moving in the right direction :)
I was advised by Linux kernel developer Hans de Goede of the following:
https://bugzilla.redhat.com/show_bug.cgi?id=1543769#c112

- open a new bug against the kernel component;

- attach both dmesg output from the atomic 28 anaconda installer environment, you can switch to a text console using ctrl+alt+F5 (IIRC it may be a different F key), as well as dmesg output from a regular Fedora 28 Workstation boot there;

- you can use a Fedora 28 live image from USB but eventually you're going to need to install Fedora 28 so that you can test different kernels.

I have tried Fedora two times in the recent past, but I was completely lost - I wasn't able even to get sudo privileges. Can anyone of you people please open a new bug report here https://bugzilla.redhat.com and do what Hans de Goede suggested?

aljosa (aljosa-p) wrote :

Tested before 5 minutes:

*
Fedora 29 Atomic Workstation beta:
pre-installation setup fully activates the touchpad.

*
Live USB - Ubuntu 18.10 beta:
touchpad completely dead.

aljosa (aljosa-p) wrote :

After 2 years of waiting for the official solution, hope is lost.
Today I deleted everything in my machine and installed Windows 10. After that I installed the suspicious firmware upgrade from the Asus forum:

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1653456/+attachment/4955397/+files/WinIAP_Fix%20Touchpad.zip
1. Download the Zip from the Link below
2. extract the zip into a folder where you want
3. open the "WinIAP_X64.exe"
4. select "Load Bin File" and now select the File "SB463D-1407_Fv0x06.bin" in the the same folder that you extractet
5. after the .bin file is loaded in the programm klick "Update Rom" (do nothing before the Update Process is finished)
6. when the update is finished, close the programm and restart your computer

After that, once again I deleted everything in my machine and installed Solus Budgie.
'ELAN1203:00 04F3:3043' touchpad of my Asus G752VS laptop finally works perfectly on Linux.

this guide killed my touchpad on fx553vd. dont know what to do now

PLEASE HELP ME HOW TO REVERT THIS

aljosa (aljosa-p) wrote :

I suggest you to try to ask for help on ASUS Forum: https://rog.asus.com/forum/

aljosa (aljosa-p) wrote :

New BIOS 312 update is available here for Asus G752VS notebook:
https://www.asus.com/us/Laptops/ROG-G752VS/HelpDesk_Download/
(driver & tools / Please select your CPU "G752VS" / Please select OS / Others - otherwise you wan't see the new BIOS Update. In other words, click on "Driver & Tools" and not on "BIOS & FIRMWARE).

Brad Figg (brad-figg) on 2019-07-24
tags: added: cscc
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.